Geom2D::SweepSearch Class Reference

## Classes

struct | PointIdx

## Public Types

enum | { NOT_FOUND = -1 }

## Public Member Functions

| SweepSearch (const std::vector< Point > &p, double dmax)
int | query (const Point &q) const
std::vector< double > & | query (const Point &q, std::vector< int > &idx)

## Private Member Functions

bool | is_nearer (double &d2min, int &idxmin, const Point &q, const PointIdx &pi) const
bool | insert_neighbour (const Point &q, const PointIdx &pi, std::vector< double > &nndists, std::vector< int > &idx)

## Static Private Member Functions

static bool | yorder (const PointIdx &p, const PointIdx &q)

## Private Attributes

const double | limit
std::vector< PointIdx > | dataset
std::vector< double > | nndists

The documentation for this class was generated from the following files:

- nn.h
- nn.cpp

Last updated 12 September 2005 21:38:45